//******************** (C) COPYRIGHT 2022 SmartLogic*******************************
// FileName           : ucp_api_clockGen.h
// Author             : boheng.lin@smartlogictech.com
// Date First Issued  : 2023-03-04 02:37:50 PM
// Last Modified      : 
// Description        :
// ------------------------------------------------------------
// Modification History:
// Version    Date       Author    Modification Description
//
//**********************************************************************************

#ifndef UCP_API_CLOCKGEN_H_
#define UCP_API_CLOCKGEN_H_

#include <stdio.h>
#include <stdlib.h>

#ifdef __cplusplus
extern "C" {
#endif

extern void UCP_API_CLOCKGEN_Reset(void);
extern void UCP_API_CLOCKGEN_Init(void);
extern void UCP_API_CLOCKGEN_LockStatus(void);
extern void UCP_API_CLOCKGEN_OnePluse(void);
extern uint8_t UCP_API_CLOCKGEN_getLockStatus(void);

#ifdef __cplusplus
}
#endif

#endif /* #ifndef UCP_API_CLOCKGEN_H_ */
